﻿-----------------------------------------------------------------------
-- Locale
-----------------------------------------------------------------------
local L = AceLibrary("AceLocale-2.2"):new("Violation: Dispel")

L:RegisterTranslations("enUS", function() return {
	["Dispelling done"] = true,
	["Dispelling"] = true,
} end)

L:RegisterTranslations("zhCN", function() return {
	["Dispelling done"] = "成功驱散法术",
	["Dispelling"] = "驱散法术(Dispel)",
} end)

L:RegisterTranslations("zhTW", function() return {
	["Dispelling done"] = "成功阻止吟唱法術",
	["Dispelling"] = "阻止吟唱法術(Dispel)",
} end)

L:RegisterTranslations("koKR", function() return {
	["Dispelling done"] = "해제 완료",
	["Dispelling"] = "해제",
} end)

-----------------------------------------------------------------------
-- Locals
-----------------------------------------------------------------------

local moduleName = "Dispelling done"
local parserEvent = {
	eventType = "Dispel",
	sourceID_not = false,
	recipientID = false,
}

-----------------------------------------------------------------------
-- Module declaration
-----------------------------------------------------------------------

local mod = Violation:NewModule(moduleName)
mod.revision = tonumber(("$Revision: 60394 $"):sub(12, -3)) or 1
mod.version = 5
mod.violationCategory = "other"

-----------------------------------------------------------------------
-- Module initialization
-----------------------------------------------------------------------

function mod:OnModuleEnable()
	self:RegisterParserEvent( parserEvent, "OnParserEvent" )
end

-----------------------------------------------------------------------
-- Module implementation
-----------------------------------------------------------------------

function mod:GetDisplayName() return L["Dispelling done"] end
function mod:GetShortDisplayName() return L["Dispelling"] end

function mod:OnParserEvent( info )
	if info.isFailed then return end
	local source = self:GetSourceVictimAmount(info)

	if not source or not self:AcceptDataFor( source ) then
		return
	end

	self:OnData(source, 1)
end
